package cn.com.infosec.x509;

import cn.com.infosec.asn1.ASN1Encodable;
import cn.com.infosec.asn1.ASN1EncodableVector;
import cn.com.infosec.asn1.ASN1Set;
import cn.com.infosec.asn1.DERObject;
import cn.com.infosec.asn1.DERObjectIdentifier;
import cn.com.infosec.asn1.DERSet;
import cn.com.infosec.asn1.x509.Attribute;

public class X509Attribute extends ASN1Encodable {
   Attribute attr;

   X509Attribute(ASN1Encodable at) {
      this.attr = Attribute.getInstance(at);
   }

   public X509Attribute(String oid, ASN1Encodable value) {
      X509Attribute var10000 = this;
      super();
      Attribute var4;
      Attribute var10001 = var4 = new Attribute;
      DERObjectIdentifier var3;
      var3 = new DERObjectIdentifier.<init>(oid);
      DERSet oid1;
      oid1 = new DERSet.<init>(value);
      var10001.<init>(var3, oid1);
      var10000.attr = var4;
   }

   public X509Attribute(String oid, ASN1EncodableVector value) {
      X509Attribute var10000 = this;
      super();
      Attribute var4;
      Attribute var10001 = var4 = new Attribute;
      DERObjectIdentifier var3;
      var3 = new DERObjectIdentifier.<init>(oid);
      DERSet oid1;
      oid1 = new DERSet.<init>(value);
      var10001.<init>(var3, oid1);
      var10000.attr = var4;
   }

   public String getOID() {
      return this.attr.getAttrType().getId();
   }

   public ASN1Encodable[] getValues() {
      ASN1Set var3;
      ASN1Encodable[] var1 = new ASN1Encodable[(var3 = this.attr.getAttrValues()).size()];

      for(int var2 = 0; var2 != var3.size(); ++var2) {
         var1[var2] = (ASN1Encodable)var3.getObjectAt(var2);
      }

      return var1;
   }

   public DERObject toASN1Object() {
      return this.attr.toASN1Object();
   }
}
